%define	oname	kmediafactory
%define	major	0
%define	libname	%mklibname %{name} %{major}
%define develname %mklibname %name -d
Name:		kde4-%{oname}
Version:	0.6.0
Release:	%mkrel 3
URL:		http://kotisivu.dnainternet.fi/damu0/software/kmediafactory/index.html
Source0:	http://aryhma.oy.cx/damu/software/kmediafactory/%{oname}-%{version}.tar.bz2
License:	GPLv2+
Group:		Publishing
Summary:	DVD menu generator
BuildRequires:	imagemagick-devel mjpegtools libmjpegtools-devel libdv-devel libdvdread-devel
BuildRequires:	libtheora-devel libxine-devel dvdauthor dvd-slideshow kdelibs4-devel
BuildRequires:	zip
Buildrequires:	desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
KMediaFactory is an easy to use template based dvd authoring tool.
You can quickly create DVD menus for home videos and TV recordings
in three simple steps. 

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
Libraries needed by %{name}.

%package -n	%{develname}
Summary:	Development headers and libraries for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %name 0

%description -n	%{develname}
Development libraries and headers for %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
cd build
%makeinstall_std
cd -

desktop-file-install --vendor='' \
	--dir=%buildroot%{_kde_datadir}/applications/kde4 \
	--remove-key='Encoding' \
	--remove-category='Application' \
	--add-category='Qt;AudioVideoEditing' \
	%buildroot%{_kde_datadir}/applications/kde4/*.desktop

%find_lang %{oname} --all-name --with-html

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f %{oname}.lang
%defattr(-,root,root)
%{_kde_bindir}/*
%{_kde_datadir}/applications/kde4/*.desktop
%{_kde_datadir}/config/*
%{_kde_datadir}/config.kcfg/*
%{_kde_datadir}/apps/kmediafactory*
%{_kde_datadir}/apps/kmfwidgets
%{_kde_datadir}/icons/*/*/*/*
%{_kde_datadir}/kde4/services/*
%{_kde_datadir}/kde4/servicetypes/*
%{_kde_datadir}/mime/packages/kmediafactory.xml

%files -n %{libname}
%defattr(-,root,root)
%{_kde_libdir}/lib*.so.*
%{_kde_libdir}/kde4/*

%files -n %{develname}
%defattr(-,root,root)
%{_kde_includedir}/%{oname}
%{_kde_libdir}/lib*.so


%changelog
* Sun Mar 09 2008 Funda Wang <fundawang@mandriva.org> 0.6.0-3mdv2008.1
+ Revision: 182796
- fix desktop file path

* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.0-2mdv2008.1
+ Revision: 182318
- Rebuild against new qt4 changes

* Thu Feb 21 2008 Funda Wang <fundawang@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 173642
- clean unused %%if
- fix desktop file
- drop %%update_menus (rpmlint does not like other prefix)
- drop OOo BR
- fix file list
- Upload new version
- cp kde4 version of kmediafactory

* Tue Jan 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.5.2-8mdv2008.1
+ Revision: 146502
- rebuilt against new imagemagick libs (6.3.7)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 29 2007 Funda Wang <fundawang@mandriva.org> 0.5.2-7mdv2008.1
+ Revision: 139083
- add kcfg files (maybe wrong location??)
- switch to xdg menu location
- New devel package name & license policy

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jun 14 2007 Antoine Ginies <aginies@mandriva.com> 0.5.2-6mdv2008.0
+ Revision: 39361
- add mandriva-create-kde-mdk-menu buildrequires

* Mon May 14 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.5.2-5mdv2008.0
+ Revision: 26718
- Rebuild with new libjasper.
- Updated URL field.

